package com.yslifes;

//table 
//create table mytest (id decimal(10), create_time timestamp(6) default 0);
import java.sql.*;
import java.text.SimpleDateFormat;

public class TestCon {
	private static SimpleDateFormat datetimeformat = new SimpleDateFormat(
			"yyyy/MM/dd HH:mm:ss.SSS");

	public static void main(String args[]) throws Exception {
		Class.forName("org.mariadb.jdbc.Driver");
		Connection conn = DriverManager.getConnection(
				"jdbc:mariadb://127.0.0.1:3306/test?useFractionalSeconds=true",
				"root", "12345");
		Statement insert1 = conn.createStatement();
		insert1.executeUpdate("insert into mytest (id, create_time) values (1,'2013-07-18 13:44:22.123456')");
		insert1.close();
		PreparedStatement insert2 = conn
				.prepareStatement("insert into mytest (id, create_time) values (?,?)");
		insert2.setInt(1, 2);
		insert2.setTimestamp(2, new Timestamp(1273017612999L));
		insert2.executeUpdate();
		insert2.close();

		Statement query = conn.createStatement();
		ResultSet rs = query.executeQuery("select * from mytest ");
		while (rs.next()) {
			System.out.println(rs.getInt(1) + "\t"
					+ datetimeformat.format(rs.getTimestamp(2)));
		}
		rs.close();
		query.close();

		conn.createStatement().executeUpdate("delete from mytest");

	}
}
